%define upstream_name    Dist-Zilla-Plugin-NoAutomatedTesting
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Avoid running under CPAN Testers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
CPAN Testers are great and do a worthy and thankless job, testing all the
distributions uploaded to CPAN. But sometimes we don't want a distribution
to be tested by these gallant individuals.

Dist::Zilla::Plugin::NoAutomatedTesting is a the Dist::Zilla manpage plugin
that mungles 'Makefile.PL' to detect that it is being run by a CPAN Tester
and 'exit 0' if it is.

As this plugin mungles the 'Makefile.PL' it is imperative that it is
specified in 'dist.ini' AFTER '[MakeMaker]'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-5.mga6
+ Revision: 1026434
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.80.0-4.mga6
+ Revision: 934209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 748803
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 586413
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 526972
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.60.0-1.mga4
+ Revision: 439144
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 366290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40502
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-NoAutomatedTesting

